# the tar file from the git sources is created with a script that executes
# the following commands:


#SOFTWARE=perl6-readline
#URL=https://github.com/drforr/${SOFTWARE}.git
#
#echo "creating tar archive from git sources"
#echo
#
#rm -rf ${SOFTWARE} ${SOFTWARE}-0.*
#git clone ${URL}
#
#SHORT_HASH=`cd ${SOFTWARE};git describe --always`
#
#cd ${SOFTWARE}
#ed META6.json << END
#17,19d
#w
#q
#END
#cd ..
#
#GIT_SRC_DIR=${SOFTWARE}-0.0.2
#
#rm -f $GIT_SRC_DIR
#ln -s $SOFTWARE $GIT_SRC_DIR
#tar --exclude="$GIT_SRC_DIR/.git" -czvhf ${GIT_SRC_DIR}.tar.gz ${GIT_SRC_DIR}/
#
#echo
#echo "done"


Name:		rakudo-Readline
Version:	0.0.2
Release:	0.4.20170918gita9f6dc4%{?dist}
Summary:	Simple Perl 6 binding to GNU libreadline

License:	Artistic 2.0
URL:		https://github.com/drforr/perl6-readline
Source0:	ftp://ftp.uni-siegen.de/pub/Perl6Mod.src/perl6-readline-%{version}.tar.gz

# readline is needed for the protected package: dnf
BuildRequires:	rakudo >= %rakudo_rpm_version
Requires:	rakudo >= %rakudo_rpm_version
Requires:	readline-devel


%description
Perl 6 interface to GNU Readline, the CLI-based line reading library


%prep
%setup -q -n perl6-readline-%{version}


%install
export QA_SKIP_BUILD_ROOT=1
RAKUDO_RERESOLVE_DEPENDENCIES=0 %perl6_mod_inst --to=%{buildroot}%{perl6_vendor_dir} --for=vendor


%check
perl6 -Ilib t/*.t


%files
%doc README.md
%license LICENSE
%{perl6_vendor_dir}/*/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-0.4.20170918gita9f6dc4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 27 2018 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.0.2-0.3.20170918gita9f6dc4
- to exclude the architectures s390x ppc64 is not neccesary any more

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-0.2.20170918gita9f6dc4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Sep 19 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.0.2-0.1.20170918gita9f6dc4
- changed version and release tags

* Mon Sep 18 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.20170918git.a9f6dc4-1
- create initail spec file
